<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CustomParameterizedException.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.web.rest.errors</a> &gt; <span class="el_source">CustomParameterizedException.java</span></div><h1>CustomParameterizedException.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.web.rest.errors;

import java.util.HashMap;
import java.util.Map;

/**
 * Custom, parameterized exception, which can be translated on the client side.
 * For example:
 *
 * &lt;pre&gt;
 * throw new CustomParameterizedException(&amp;quot;myCustomError&amp;quot;, &amp;quot;hello&amp;quot;, &amp;quot;world&amp;quot;);
 * &lt;/pre&gt;
 *
 * Can be translated with:
 *
 * &lt;pre&gt;
 * &quot;error.myCustomError&quot; :  &quot;The server says {{param0}} to {{param1}}&quot;
 * &lt;/pre&gt;
 */
public class CustomParameterizedException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private static final String PARAM = &quot;param&quot;;

    private final String message;

<span class="nc" id="L28">    private final Map&lt;String, String&gt; paramMap = new HashMap&lt;&gt;();</span>

    public CustomParameterizedException(String message, String... params) {
<span class="nc" id="L31">        super(message);</span>
<span class="nc" id="L32">        this.message = message;</span>
<span class="nc bnc" id="L33" title="All 4 branches missed.">        if (params != null &amp;&amp; params.length &gt; 0) {</span>
<span class="nc bnc" id="L34" title="All 2 branches missed.">            for (int i = 0; i &lt; params.length; i++) {</span>
<span class="nc" id="L35">                paramMap.put(PARAM + i, params[i]);</span>
            }
        }
<span class="nc" id="L38">    }</span>

    public CustomParameterizedException(String message, Map&lt;String, String&gt; paramMap) {
<span class="nc" id="L41">        super(message);</span>
<span class="nc" id="L42">        this.message = message;</span>
<span class="nc" id="L43">        this.paramMap.putAll(paramMap);</span>
<span class="nc" id="L44">    }</span>

    public ParameterizedErrorVM getErrorVM() {
<span class="nc" id="L47">        return new ParameterizedErrorVM(message, paramMap);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>